<?php

class MailboxLocaleLang extends HordeLocaleLang {
   
   function MailboxLocaleLang () {
      $this->HordeLocaleLang();
   }
   
   function error ($current_mbox, $action) {
      global $lang;
      
      $action_text = $lang->$action;
      return "Pósthólf: $current_mbox: Villa: $action_text skilaboða mistókst";
   }
   
   function success1 ($current_mbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Skilaboð';
      else $messages = 'Skilaboð';
      
      $action_text = $lang->$action;
      return "Pósthólf: $current_mbox: $action_text $num $messages";
   }
   
   function success2 ($current_mbox, $targetMbox, $action, $num, $plural = false) {
      global $lang;
      
      if ($plural) $messages = 'Skilaboð';
      else $messages = 'Skilaboð';
      
      $action_text = $lang->$action;
      return "Pósthólf: $current_mbox: $action_text $num $messages to $targetMbox";
   }
   
   function pagenav ($page, $page_count) {
      global $this_client;
      if ($this_client == '') { $this_client = new WebClient; }

      if ($this_client->lynx) {
	 return "Síða $page of $page_count";
      } else {
         $len = strlen($page_count);
	 return "síða <input type=\"text\" name=\"page\" value=\"$page\" size=$len> af $page_count";
      }
   }
   
   function overview ($begin, $end, $nummsgs) {
       if ($nummsgs == 0) {
	  return "0 Skilaboð";
       } elseif ($nummsgs == 1) {
	  return "1 Skilaboð";
       } else {
	  return "$begin - $end af $nummsgs Skilaboðum";
       }
   }
   
}


$lang = new MailboxLocaleLang();
require('./locale/is/openwin.lang');

$lang->delete_link = 'Eyða';
$lang->undelete_link = 'Endurheimta';
$lang->move_link = 'Færa';
$lang->copy_link = 'Afrita';
$lang->selected_mail = 'valin skilaboð';

$lang->sort_by_label =  'Raða eftir';
$lang->date_label = 'Dags';
$lang->from_label = 'Frá';
$lang->subject_label = 'Efni';
$lang->size_label = 'Stærð';
$lang->to_label = 'Til';

$lang->select_all = 'Velja öll';
$lang->select_none = 'Velja ekkert';
$lang->empty_trash = 'Tæma rusl';

$lang->no_subject = '[No subject]';
$lang->undisclosed_recipients = 'Undisclosed Recipients';
$lang->mailbox = 'Pósthólf';

$lang->message = 'Skilaboð';
$lang->messages = 'Skilaboð';

$lang->deletion = 'Eyðing';
$lang->deleted = 'Eytt';
$lang->undeletion = 'Endurheimtun';
$lang->undeleted = 'Endurheimt';
$lang->move = 'Færa';
$lang->moved = 'Fært';
$lang->copy = 'Afrita';
$lang->copied = 'Afritað';
$lang->expunge = 'Expunge';
$lang->expunged = 'Expunged';
$lang->no_messages_selected = 'You must select at least one message first.';

$lang->reverse_sort = 'Snúa við röð.';

$lang->alert_really_delete = 'Are you sure you wish to PERMANENTLY delete these messages?';
$lang->first_page = 'first page';
$lang->prev_page = 'prev page';
$lang->next_page = 'next page';
$lang->last_page = 'last page';
$lang->no_mailbox_selected = 'You must a select a target mailbox first.';
?>
